import { Vue } from "vue-property-decorator";
import { UnitItem } from "../vms";
import { CreateElement } from "vue";
import { LoDashStatic } from "lodash";
declare type UnitType = "px" | "mm" | "cm" | "m" | "u";
/**
 * 带单位的数值输入
 *
 * 对于单位，保存实际选择的单位，
 * 对于数值，始终保存像素值，
 *     在显示时，根据单位换算为对应的数值进行显示
 */
export declare class YtdUnitNumber extends Vue {
    value: number;
    /** 单位 */
    unit: UnitType;
    /** 输入框禁止编辑且单位下拉列表禁止选择 */
    disabled: boolean;
    /** 输入框禁止编辑 */
    inputDisabled: boolean;
    units: Array<UnitItem>;
    computedValue: number;
    computedUnit: UnitType;
    render(h: CreateElement): JSX.Element;
    _: LoDashStatic;
}
export {};
