import { MenuDTO } from "@ytd/fe-core";
import { Vue } from "vue-property-decorator";
import { YtdLayoutAside } from "./YtdLayoutAside";
import { CreateElement } from "vue";
/** 事件 */
export declare const EVENTS: {
    /** 点击菜单 */
    CLICK_MENU_ITEM: string;
    /** 点击面包屑 */
    CLICK_BREADCRUMB: string;
    /** 展开 & 关闭菜单栏 */
    TOGGLE_MENU_BAR: string;
    /** 打开标签 */
    OPEN_TAB: string;
    /** 关闭标签 */
    CLOSE_TAB: string;
    /** 关闭所有标签 */
    CLOSE_ALL_TAB: string;
    /** 关闭其他标签 */
    CLOSE_OTHER_TAB: string;
};
/**
 * 布局
 */
export declare class YtdLayout extends Vue {
    /** 自定义属性名称 */
    props: {
        children: string;
    };
    /** 所有菜单 */
    menus: Array<MenuDTO>;
    /** 当前激活的菜单ID */
    activeMenuId: string;
    /** 是否禁用面包屑导航 */
    breadcrumbDisabled: string;
    /** 是否禁用标签导航 */
    tabDisabled: string;
    $refs: {
        refYtdLayoutAside: YtdLayoutAside;
    };
    private SET_NAV_MENU_COLLAPSED;
    /** 菜单是否折叠 */
    private collapse;
    /**
     * 供外部调用，初始化当前打开的菜单
     */
    initOpenedMenu(): void;
    /**
     * 展开 & 关闭菜单栏
     */
    private toggleMenuBar;
    render(h: CreateElement): JSX.Element;
}
