import { Vue } from "vue-property-decorator";
import { TabItem } from "../../store/tab";
import { Tag } from "element-ui";
import { CreateElement } from "vue";
/**
 * 标签栏
 */
export declare class YtdLayoutTab extends Vue {
    $refs: {
        tabContainerRef: HTMLDivElement;
        tabBodyRef: HTMLDivElement;
        tagRefs: Array<Tag>;
    };
    /** 标签栏 style.left 属性的值 */
    private tabBodyLeft;
    TABS: Array<TabItem>;
    CURRENT_TAB: TabItem;
    TAB_OPEN: (tab: TabItem) => any;
    TAB_CLOSE: (tab: TabItem) => Promise<TabItem | undefined>;
    TAB_CLOSE_ALL: () => any;
    TAB_CLOSE_OTHER: () => any;
    onCurrentTabChanged(): Promise<void>;
    /**
     *
     * @param e
     */
    handleScroll(e: WheelEvent): void;
    /**
     * 点击标签
     * @param tab 标签
     */
    handleTabClick(tab: TabItem): void;
    /**hahan
     * 关闭标签
     * @param e
     * @param tab 标签
     */
    handleTabClose(tab: TabItem, e: MouseEvent): Promise<void>;
    /**
     * 点击下拉菜单
     * @param command
     */
    handleCommand(command: string | TabItem): Promise<void>;
    /**
     * 将标签移到可视区域；
     * 49 表示右侧下拉菜单按钮的宽度；
     * @param tagEl 标签元素
     */
    moveToView(tagEl: HTMLSpanElement): void;
    render(h: CreateElement): JSX.Element;
}
