import { Vue } from "vue-property-decorator";
import { AppAccountDTO, HttpClient, MenuDTO, MenuService } from "@ytd/fe-core";
import { Form } from "element-ui";
import { ElLoadingComponent } from "element-ui/types/loading";
import { CreateElement } from "vue";
import "./YtdMenuPage.scss";
/**
 * 菜单管理
 */
export declare class YtdMenuPage extends Vue {
    httpClient: HttpClient;
    /**
     * 菜单服务
     */
    menuService: MenuService;
    /**
     * 应用账户
     * @type {AppAccountDTO}
     */
    appAccount: AppAccountDTO;
    /**
     * 当前选中菜单
     * @type {MenuDTO}
     */
    currentMenu: MenuDTO;
    /**
     * 菜单树
     * @type {MenuDTO[]}
     */
    menus: MenuDTO[];
    saveMenuLoading: boolean;
    saveMenuLoadingVm: ElLoadingComponent | null;
    onDomainPopedomsLoadingChanged(loading: boolean): void;
    mounted(): void;
    handleCurrentChange(menu: MenuDTO, node: any): void;
    saveMenu(menu: MenuDTO): void;
    toggleStatus(menu: MenuDTO): void;
    render(h: CreateElement): JSX.Element;
    $refs: {
        ytdMenuPageFromRef: Form;
    };
}
