import { Vue } from "vue-property-decorator";
import { ElLoadingComponent } from "element-ui/types/loading";
import { AppAccountDTO, HttpClient, PageFilter, RoleDTO, RoleService, RoleTypeEnum, StatusEnum } from "@ytd/fe-core";
import { IYtdRolePageSaveRoleDialogProp } from "../../../vms/index";
import { CreateElement } from "vue";
/**
 * 角色管理
 */
export declare class YtdRolePage extends Vue {
    httpClient: HttpClient;
    StatusEnum: typeof StatusEnum;
    RoleTypeEnum: typeof RoleTypeEnum;
    appAccount: AppAccountDTO;
    roleService: RoleService;
    /** 查询参数 */
    filter: {
        page: PageFilter;
        key: string;
    };
    roles: Array<RoleDTO>;
    rolesLoading: boolean;
    rolesLoadingVm: ElLoadingComponent | null;
    ytdRolePageSaveRoleDialogProp: IYtdRolePageSaveRoleDialogProp;
    onActionsLoadingChanged(loading: boolean): void;
    mounted(): void;
    initRoles(): void;
    openSaveRoleDialog(role?: RoleDTO): void;
    toggleStatus(role: RoleDTO): void;
    /**
     * 删除角色
     * @param role 角色
     */
    deleteRole(role: RoleDTO): void;
    /**
     * 跳转'权限管理'页面
     * @param role 角色
     */
    gotoPopedomPage(role: RoleDTO): void;
    handleYtdRolePageSaveRoleDialogClose(): void;
    render(h: CreateElement): JSX.Element;
}
