import { LoDashStatic } from "lodash";
import { Vue } from "vue-property-decorator";
import { AppAccountDTO, AppAccountRoleDTO, AppAccountRoleService, AppAccountService, HttpClient, OrgService, PageFilter, RoleDTO, RoleService } from "@ytd/fe-core";
import { Input } from "element-ui";
import { CreateElement } from "vue";
export declare type AppAccountRoleVM = AppAccountRoleDTO & {
    tagInputProp: {
        value: string;
        visible: boolean;
    };
};
/**
 * 用户管理
 */
export declare class YtdUserPage extends Vue {
    httpClient: HttpClient;
    appAccount: AppAccountDTO;
    roleService: RoleService;
    orgService: OrgService;
    appAccountRoleService: AppAccountRoleService;
    appAccountService: AppAccountService;
    roles: Array<RoleDTO>;
    users: Array<AppAccountRoleVM>;
    /**
     * 查询参数
     */
    filter: {
        /** 关键字 */
        key: string;
        /** 组织机构ID */
        orgId: string;
        page: PageFilter;
    };
    loading: boolean;
    mounted(): void;
    getOrgService: () => OrgService;
    /**
     * 移除标签
     * @param appAccountRoleDTO
     * @param tag
     */
    handleTagRemove(appAccountRoleDTO: AppAccountRoleVM, tag: string): void;
    /**
     * 确认添加标签
     * @param e
     * @param appAccountRoleDTO
     */
    handleTagAddConfirm(e: KeyboardEvent | FocusEvent, appAccountRoleDTO: AppAccountRoleVM): void;
    /**
     * 加载角色
     */
    initRoles(): Promise<void>;
    /**
     * 加载用户
     * @param fromStart 是否从第一页开始加载
     */
    initUsers(fromStart?: boolean): Promise<void>;
    /**
     * 保存角色
     * @param appAccountRoleDTO
     * @param roles
     */
    updateAppAccountRoles(appAccountRoleDTO: AppAccountRoleVM, roles: Array<RoleDTO>): void;
    handleHeaderChange(key: string, orgId: string): void;
    render(h: CreateElement): JSX.Element;
    _: LoDashStatic;
    $refs: {
        refTagInput: Input;
    };
}
