import { Vue } from "vue-property-decorator";
import { CreateElement } from "vue";
import { Tree } from "element-ui";
import { OrgDTO, OrgService } from "@ytd/fe-core";
import { LoDashStatic } from "lodash";
/**
 * 用户管理：头部：选择组织机构
 */
export declare class YtdUserPageHeaderOrg extends Vue {
    visible: boolean;
    dialogVisible: boolean;
    $refs: {
        refTree: Tree;
    };
    getOrgService: () => OrgService;
    /** 组织机构列表 */
    orgs: Array<OrgDTO>;
    /** 当前选中的组织机构 */
    currentOrg: OrgDTO;
    /** 临时存储当前选中的组织机构 */
    tempCurrentOrg: OrgDTO;
    defaultExpandedKeys: Array<string>;
    filter: {
        key: string;
    };
    handleOpen(): Promise<void>;
    handleClose(): void;
    /**
     * 加载组织机构
     */
    initOrgs(): Promise<void>;
    /**
     * 根据关键字过滤节点
     * @param value
     * @param orgDTO
     */
    filterNode(value: string, orgDTO: OrgDTO): boolean;
    /**
     * 选中节点
     * @param orgDTO
     */
    handleCurrentChange(orgDTO: OrgDTO): void;
    /**
     * 确定
     */
    handleOk(): void;
    clear(): void;
    render(h: CreateElement): JSX.Element;
    _: LoDashStatic;
}
