import { Vue } from "vue-property-decorator";
import { HttpClient, PageFilter, SponsorRO, WorkflowDTO, WorkflowService } from "@ytd/fe-core";
import { ElLoadingComponent } from "element-ui/types/loading";
import { IYtdWorkflowProp } from "../../../vms/index";
export default class YtdWorkflowBusinessReleasePage extends Vue {
    httpClient: HttpClient;
    workflowService: WorkflowService;
    ytdWorkflowProp: IYtdWorkflowProp & {
        visible: boolean;
    };
    workflows: WorkflowDTO[];
    /**
     * 当前选中的流程
     */
    currentWorkflow: WorkflowDTO;
    loading: boolean;
    loadingVm: ElLoadingComponent | null;
    /**
     * 查询参数
     */
    filter: {
        page: PageFilter;
        sponsor: SponsorRO;
    };
    onLoadingChanged(loading: boolean): void;
    mounted(): void;
    loadWorkflows(): void;
    handleCurrentChange(workflow: WorkflowDTO): void;
    /**
     * 开始流程
     * @param {WorkflowDTO} workflowDTO
     */
    startWorkflow(workflowDTO: WorkflowDTO): void;
    handleYtdWorkflowReload(): void;
}
