import { Vue } from "vue-property-decorator";
import { HttpClient, PageFilter, SponsorRO, WorkflowService, WorkflowTaskDTO } from "@ytd/fe-core";
import { ElLoadingComponent } from "element-ui/types/loading";
import { IYtdWorkflowProp } from "../../../vms/index";
export default class YtdWorkflowBusinessTodoPage extends Vue {
    httpClient: HttpClient;
    /**
     * 是否显示分页
     */
    pageVisible: boolean;
    workflowService: WorkflowService;
    ytdWorkflowProp: IYtdWorkflowProp & {
        visible: boolean;
    };
    workflows: WorkflowTaskDTO[];
    /**
     * 当前选中的流程
     */
    currentWorkflow: WorkflowTaskDTO;
    loading: boolean;
    loadingVm: ElLoadingComponent | null;
    /**
     * 查询参数
     */
    filter: {
        page: PageFilter;
        sponsor: SponsorRO;
    };
    onLoadingChanged(loading: boolean): void;
    mounted(): void;
    loadWorkflows(): void;
    handleCurrentChange(workflow: WorkflowTaskDTO): void;
    handleYtdWorkflowReload(): void;
    /**
     * 处理流程
     * @param {WorkflowTaskDTO} workflow
     */
    handleWorkflow(workflow: WorkflowTaskDTO): void;
    /**
     * 取回任务
     * @param {WorkflowTaskDTO} workflow
     */
    takeTask(workflow: WorkflowTaskDTO): void;
}
