import { Vue } from "vue-property-decorator";
import { AppAccountService, HttpClient, PageFilter, RoleService, SponsorRO, WorkflowDTO, WorkflowService, WorkflowStatusEnum } from "@ytd/fe-core";
import { ElLoadingComponent } from "element-ui/types/loading";
import { IYtdWorkflowPageSaveWorkflowDialogProp } from "../../../vms/index";
export default class YtdWorkflowPage extends Vue {
    httpClient: HttpClient;
    WorkflowStatusEnum: typeof WorkflowStatusEnum;
    /**
     * 流程服务
     * @type {WorkflowService}
     */
    workflowService: WorkflowService;
    /**
     * 角色服务
     * @type {WorkflowService}
     */
    roleService: RoleService;
    /**
     * 应用账户服务
     * @type {WorkflowService}
     */
    appAccountService: AppAccountService;
    loading: boolean;
    loadingVm: ElLoadingComponent | null;
    /**
     * 查询参数
     */
    filter: {
        page: PageFilter;
        sponsor: SponsorRO;
    };
    /**
     * 添加流程定义弹窗属性
     */
    ytdWorkflowPageSaveWorkflowDialogProps: IYtdWorkflowPageSaveWorkflowDialogProp;
    /**
     * 流程定义列表
     * @type {WorkflowDTO[]}
     */
    workflows: WorkflowDTO[];
    onLoadingChanged(loading: boolean): void;
    mounted(): void;
    search(): void;
    handleAddWorkflowButtonClick(): void;
    handleYtdWorkflowPageSaveWorkflowDialogClose(id: string): void;
    /**
     * 编辑
     * @param {WorkflowDTO} workflow
     */
    handleEdit(workflow: WorkflowDTO): void;
    /**
     * 发布
     * @param {WorkflowDTO} workflow
     */
    handleRelease(workflow: WorkflowDTO): void;
    /**
     * 克隆
     * @param {WorkflowDTO} workflow
     */
    handleClone(workflow: WorkflowDTO): void;
    /**
     * 删除
     * @param {WorkflowDTO} workflow
     */
    handleDelete(workflow: WorkflowDTO): void;
}
