import { Vue } from "vue-property-decorator";
import { Form as ElForm } from "element-ui";
import { HttpClient, WorkflowDTO, WorkflowService } from "@ytd/fe-core";
import { IYtdWorkflowProp, SaveWorkflowVO } from "../../../vms/index";
export default class YtdWorkflowPageSaveWorkflowDialog extends Vue {
    httpClient: HttpClient;
    /**
     * 弹窗属性
     */
    dialogProp: {
        visible: boolean;
    };
    /**
     * 表单模型
     */
    formModel: SaveWorkflowVO;
    workflowService: WorkflowService;
    ytdWorkflowProp: IYtdWorkflowProp;
    /**
     * 是否编辑（否则添加）
     */
    readonly isEdit: string;
    /**
     * 打开弹窗
     */
    handleDialogOpen(): void;
    /**
     * 关闭弹窗
     */
    handleDialogClose(): void;
    /**
     *
     */
    handleDialogCancel(): void;
    /**
     *
     */
    handleDialogOk(): void;
    /**
     * 刷新
     */
    handleYtdWorkflowReload(): void;
    /**
     * 坐标改变
     * @param {WorkflowDTO.NodeDTO} node
     */
    handleYtdWorkflowCoordinateChange(node: WorkflowDTO.NodeDTO): void;
    reset(): void;
    $refs: {
        formRef: ElForm;
    };
}
