import Vue, { CreateElement } from "vue";
import { YtdQuneeWindow } from "./YtdQuneeWindow";
/**
 * 拓扑图：工具栏：查看窗口
 */
export declare class YtdQuneeToolbarView extends Vue {
    /** 左侧窗口 */
    leftWindows: Array<YtdQuneeWindow>;
    /** 右侧窗口 */
    rightWindows: Array<YtdQuneeWindow>;
    /** 底侧窗口 */
    bottomWindows: Array<YtdQuneeWindow>;
    /** 当前显示的左侧窗口 */
    visibleLeftWindows: Array<string>;
    /** 当前显示的右侧窗口 */
    visibleRightWindows: Array<string>;
    /** 当前显示的底部窗口 */
    visibleBottomWindows: Array<string>;
    visibleLeftWindow: Array<string>;
    visibleRightWindow: Array<string>;
    visibleBottomWindow: Array<string>;
    /**
     * 可以关闭的左边窗口
     */
    readonly closeableLeftWindows: Array<YtdQuneeWindow>;
    /**
     * 可以关闭的右边窗口
     */
    readonly closeableRightWindows: Array<YtdQuneeWindow>;
    /**
     * 可以关闭的底部窗口
     */
    readonly closeableBottomWindows: Array<YtdQuneeWindow>;
    /**
     * 切换左侧窗口的显示或隐藏
     * @param ytdQuneeWindow 窗口
     * @param visible 是否显示
     */
    private handleToggleLeftWindow;
    /**
     * 切换右侧窗口的显示或隐藏
     * @param ytdQuneeWindow 窗口
     * @param visible 是否显示
     */
    private handleToggleRightWindow;
    /**
     * 切换底部窗口的显示或隐藏
     * @param ytdQuneeWindow 窗口
     * @param visible 是否显示
     */
    private handleToggleBottomWindow;
    render(h: CreateElement): JSX.Element;
}
