import Vue, { CreateElement } from "vue";
import { Q } from "../../lib/qunee";
/**
 * 拓扑图：提示信息
 */
export declare class YtdQuneeTooltip extends Vue {
    /** Q.Graph 实例 */
    graph: Q.Graph | null;
    /** 图元 */
    element: Q.Element | null;
    /** 延迟显示 */
    delay: number;
    /**
     * 提示信息距离拓扑图边框的距离；
     * 单位：px；
     */
    offset: number;
    /** 鼠标坐标 */
    mouseCoordinate: {
        x: number;
        y: number;
    };
    /** 是否显示 */
    private visible;
    /** 延迟显示的计时器ID */
    private timer;
    /** 提示信息距离鼠标光标的距离 */
    private mouseOffset;
    onElementChanged(element: Q.Element | null): void;
    onMouseCoordinateChanged(mouseCoordinate: {
        x: number;
        y: number;
    }): void;
    /**
     * 隐藏组件
     */
    hide(): void;
    /**
     * 修复坐标；
     * 当组件超出画布范围时，调整坐标，使组件始终处于画布之内；
     *
     * @param coordinate 默认坐标
     */
    private fixCoordinate;
    private show;
    render(h: CreateElement): JSX.Element;
}
