import { Vue } from "vue-property-decorator";
import { Form } from "element-ui";
import { WorkflowDTO, WorkflowService } from "@ytd/fe-core";
import { SaveWorkflowEdgeRO } from "../../vms/index";
import { Q } from "../../lib/qunee";
import { CreateElement } from "vue";
import { LoDashStatic } from "lodash";
import "./YtdWorkflowSaveEdgeDialog.scss";
/**
 * 流程定义：添加&编辑连线
 */
export declare class YtdWorkflowSaveEdgeDialog extends Vue {
    /** 弹窗属性 */
    dialogProp: {
        visible: boolean;
    };
    /** 表单模型 */
    formModel: SaveWorkflowEdgeRO;
    /**
     * 连线元素
     * 添加连线时，会首先网酷利组件添加连线元素（Q.Edge）；
     * 在当前弹窗中，获取连线的信息，用于接下来的连线添加；
     */
    edgeElement: Q.Edge;
    /** 流程 */
    workflow: WorkflowDTO;
    workflowService: WorkflowService;
    /** 是否编辑，否则添加 */
    readonly isEditing: string;
    /**
     * 是否已经发布
     */
    readonly isReleased: boolean;
    /** 开始任务节点 */
    fromNode: WorkflowDTO.NodeDTO;
    /** 结束任务节点 */
    toNode: WorkflowDTO.NodeDTO;
    /** 是否取消 */
    isCanceled: boolean;
    /**
     * 打开弹窗
     */
    handleOpen(): void;
    /**
     * 关闭弹窗
     */
    handleClose(): void;
    /**
     *
     */
    handleCancel(): void;
    /**
     *
     */
    handleOk(): Promise<void>;
    reset(): void;
    render(h: CreateElement): JSX.Element;
    _: LoDashStatic;
    $refs: {
        formRef: Form;
    };
}
