import { Vue } from "vue-property-decorator";
import { Form as ElForm } from "element-ui";
import { AppAccountDTO, AppAccountRoleService, AppAccountService, PageFilter, RoleService, RoleTypeEnum, StatusEnum, WorkflowDTO, WorkflowRuleEnum, WorkflowService } from "@ytd/fe-core";
import { IYtdWorkflowSaveNodeDialogRoleProp, IYtdWorkflowSaveNodeDialogTagProp, SaveWorkflowNodeRO } from "../../../vms";
import YtdWorkflowSaveNodeDialogRole from "./YtdWorkflowSaveNodeDialogRole.vue";
import YtdWorkflowSaveNodeDialogTag from "./YtdWorkflowSaveNodeDialogTag.vue";
export default class YtdWorkflowSaveNodeDialog extends Vue {
    /**
     * 弹窗属性
     */
    dialogProp: {
        visible: boolean;
    };
    /**
     * 表单模型
     */
    formModel: SaveWorkflowNodeRO;
    /**
     *
     */
    workflowService: WorkflowService;
    /**
     * 流程
     */
    workflow: WorkflowDTO;
    /**
     *
     */
    roleService: RoleService;
    appAccountService: AppAccountService;
    appAccountRoleService: AppAccountRoleService;
    RoleTypeEnum: typeof RoleTypeEnum;
    StatusEnum: typeof StatusEnum;
    WorkflowRuleEnum: typeof WorkflowRuleEnum;
    /**
     * 是否编辑，否则添加
     */
    readonly isEdit: string;
    /**
     * 是否已经发布
     */
    readonly isReleased: boolean;
    /**
     * 应用账户
     */
    appAccount: AppAccountDTO;
    /**
     * 当前激活的标签页
     */
    activeTab: string;
    roleFilter: {
        page: PageFilter;
        key: string;
    };
    /**
     * 是否取消
     */
    isCanceled: boolean;
    ytdWorkflowSaveNodeDialogRoleProp: IYtdWorkflowSaveNodeDialogRoleProp;
    ytdWorkflowSaveNodeDialogTagProp: IYtdWorkflowSaveNodeDialogTagProp;
    mounted(): void;
    handleClose(): void;
    handleOpen(): void;
    /**
     *
     */
    handleCancel(): void;
    /**
     *
     */
    handleOk(): Promise<void>;
    /**
     * 重置数据
     */
    reset(): void;
    $refs: {
        refForm: ElForm;
        refYtdWorkflowSaveNodeDialogRole: YtdWorkflowSaveNodeDialogRole;
        refYtdWorkflowSaveNodeDialogTag: YtdWorkflowSaveNodeDialogTag;
    };
}
