import { Vue } from "vue-property-decorator";
import { Table as ElTable } from "element-ui";
import { AppAccountRoleDTO, AppAccountRoleService, PageFilter } from "@ytd/fe-core";
import { SaveWorkflowNodeRO } from "../../../vms";
export default class YtdWorkflowSaveNodeDialogAccount extends Vue {
    /** 表单模型 */
    formModel: SaveWorkflowNodeRO;
    appAccountRoleService: AppAccountRoleService;
    /** 应用ID */
    appId: string;
    /** 流程是否发布 */
    isReleased: boolean;
    /** 账户列表 */
    accounts: Array<AppAccountRoleDTO>;
    /** 过滤条件 */
    filter: {
        page: PageFilter;
    };
    onAppIdChanged(): void;
    /**
     * 加载账户列表
     */
    init(): Promise<void>;
    /**
     * 勾选
     * @param selectedAccounts
     */
    handleTableSelect(selectedAccounts: Array<AppAccountRoleDTO>): void;
    /**
     * 重置数据
     */
    reset(): void;
    $refs: {
        refYtdWorkflowSaveNodeDialogAccountTable: ElTable;
    };
}
