import { Vue } from "vue-property-decorator";
import { Table as ElTable } from "element-ui";
import { PageFilter, RoleDTO, RoleService, RoleTypeEnum, StatusEnum } from "@ytd/fe-core";
import { SaveWorkflowNodeRO } from "../../../vms";
export default class YtdWorkflowSaveNodeDialogRole extends Vue {
    /**
     * 表单模型
     */
    formModel: SaveWorkflowNodeRO;
    /**
     *
     */
    roleService: RoleService;
    /**
     * 应用 ID
     */
    appId: string;
    /**
     * 流程是否发布
     */
    isReleased: boolean;
    RoleTypeEnum: typeof RoleTypeEnum;
    StatusEnum: typeof StatusEnum;
    /**
     * 角色
     */
    roles: Array<RoleDTO>;
    roleFilter: {
        page: PageFilter;
        key: string;
    };
    onAppIdChanged(): void;
    /**
     * 加载角色列表
     */
    initRoles(): Promise<void>;
    /**
     * 勾选角色
     * @param selectedRoles
     */
    handleRoleTableSelect(selectedRoles: Array<RoleDTO>): void;
    /**
     * 重置数据
     */
    reset(): void;
    $refs: {
        refYtdWorkflowSaveNodeDialogRoleTable: ElTable;
    };
}
