/**
 * 过滤器
 * @author luotao 2018-01-18
 */
import { ResourceTypeEnum } from "@ytd/fe-core";
/**
 * 日期格式化
 * @param value
 * @param format 格式
 * @returns 格式化的日期字符串
 */
declare const filterDatetime: (value: number, format?: string) => string;
/**
 * 流程状态
 * @param value 流程状态的值
 * @returns 流程状态的名称
 */
declare const filterWorkflowStatus: (value: number) => "终止" | "运行中" | "完成" | "N/A";
/**
 * 流程任务状态
 * @param value 流程任务状态的值
 * @returns 流程任务状态的名称
 */
declare const filterTaskStatus: (value: number) => "终止" | "完成" | "N/A" | "执行中" | "回退" | "拒签" | "可收回" | "等待签收";
/**
 * 资源类型名称
 * @param value 资源类型的值
 * @returns 资源类型的名称
 */
declare function filterResourceTypeName(value: ResourceTypeEnum): string;
/**
 * 流程通知方式
 * @param value
 */
declare const filterWorkflowNotifyWay: (value: number) => "未知" | "短信" | "邮件" | "推送";
export { filterDatetime, filterWorkflowStatus, filterTaskStatus, filterResourceTypeName, filterWorkflowNotifyWay };
