/**
 * 状态管理：全局加载指示
 * @author luotao 2019-01-21
 */
import { Module } from "vuex";
import { IStoreModuleLoadingState } from "./StoreModuleLoadingState";
import { IInstallOption } from "../../vms";
import Vue from "vue";
declare const StoreModuleLoading: Module<IStoreModuleLoadingState, {}>;
declare function install(vue: typeof Vue, options?: IInstallOption): void;
declare module "vue/types/vue" {
    interface Vue {
        /**
         * 显示全局加载指示
         * @param message 提示消息
         */
        $showLoading(message?: string): void;
        /**
         * 隐藏全局加载指示
         */
        $hideLoading(): void;
    }
}
export { StoreModuleLoading, install };
