/**
 * 状态数据
 * @author luotao 2018-07-23
 */
import { IdNameDTO, MenuDTO } from "@ytd/fe-core";
/**
 * 二级菜单
 * @constructor
 */
declare class NavChildMenu extends IdNameDTO {
    /** 对应的路由的 name 属性 */
    url: string;
}
/**
 * 一级菜单
 * @constructor
 */
declare class NavMenu extends NavChildMenu {
    /** 二级菜单 */
    child: NavChildMenu;
}
/**
 * 面包屑导航栏：面包屑
 */
declare class NavBreadcrumbItem extends IdNameDTO {
    /** 对应的路由的 name 属性 */
    url: string;
    /** 是否是链接，否则是文本 */
    isLink: boolean;
    /** 额外的查询参数 */
    query?: object;
    constructor(id: string, name: string, url: string, isLink: boolean, query?: object);
}
/**
 * 面包屑导航栏
 */
declare class NavBreadcrumb {
    /** 标题 */
    title: string;
    /** 面包屑列表 */
    items: Array<NavBreadcrumbItem>;
    constructor(title: string, items: Array<NavBreadcrumbItem>);
}
/**
 * 状态
 */
interface IStoreModuleNavState {
    menu: NavMenu;
    menus: Array<MenuDTO>;
    breadcrumb: NavBreadcrumb;
    /** 左侧菜单是否收起 */
    menuCollapsed: boolean;
}
export { IStoreModuleNavState, NavMenu, NavBreadcrumb, NavBreadcrumbItem, NavChildMenu };
