/**
 * 状态管理：WebSocket
 * @author luotao 2018-07-26
 */
import { AuthService, PubsubService } from "@ytd/fe-core";
import { IStoreModuleWebSocketState } from "./StoreModuleWebSocketState";
import { Module } from "vuex";
declare class StoreModuleWebSocket {
    private authService;
    private pubsubService;
    /** 是否是生产环境 */
    private readonly isProduction;
    /** 心跳计时器 */
    private heartbeatInterval;
    /** 断线重连计时器 */
    private reconnectTimer;
    /** 断线重连锁，避免重复连接 */
    private reconnectLock;
    constructor(authService: AuthService, pubsubService: PubsubService, isProduction?: boolean);
    /**
     * 获取模块实例
     */
    getModule(): Module<IStoreModuleWebSocketState, {}>;
    /**
     * 连接
     */
    private connect;
    /**
     * 重连
     */
    private reconnect;
    /**
     * 设置 socket 事件
     * @param state
     */
    private initSocket;
}
export { StoreModuleWebSocket };
